starter.config(function ($stateProvider) {
    $stateProvider.state('task', {
        url: '/index',
        templateUrl: 'templates/task.html',
        controller: 'TaskCtrl'
    })

    .state('task-create', {
        url: '/task-create',
        templateUrl: 'templates/task-create.html',
        controller: 'TaskCreateCtrl'
    })

    .state('task-man', {
        url: '/task-man',
        templateUrl: 'templates/task-man.html',
        controller: 'TaskManCtrl'
    })

    .state('postedtask', {
        url: '/postedtask',
        templateUrl: 'templates/postedtask.html',
        controller: 'PostedTaskCtrl'
    })

    .state('task-details', {
        url: '/task-details/:id',
        templateUrl: 'templates/task-details.html',
        controller: 'TaskDetailsCtrl'
    })

    .state('editchildtask', {
        url: '/editchild/:id',
        templateUrl: 'templates/editchildtask.html',
        controller: 'EditChildTaskCtrl'
    })

    .state('task-set', {
        url: '/task-details/:id/:isheader',
        templateUrl: 'templates/task-set.html',
        controller: 'TaskSetCtrl'
    })
});
